 <h3>Reportes</h3>
<div>
  <form [formGroup]="form">
  <label class="titulo" for="inicio">Fecha de Inicio: </label>
  <input class="inicio" type="date" id="inicio" name="trip-start" formControlName="fechainicial">
  <label class="texto2" for="finalizacion">Fecha Finalizacion: </label>
  <input class="finalizacion" type="date" id="finalizacion" name="trip-end" formControlName="fechafinal">
  <label class="tituloestado" for="estado">Estado: </label>
  <select class="form-select" id="estado" aria-label="Default select example" formControlName="estado" (change)="getReportes($event)">
    <option *ngFor ="let estado of estados "value="{{estado.codEstado}}">{{estado.nombreEstado}}</option>
  </select>
  <button class="btn btn-primary" id="botonexportar"  (click)="exportarCsv()" >Exportar</button>
  </form>
</div>

<div class="card">
  <div class="card-body">
    <table class="table table-striped">
    <thead>
      <tr>
        <th scope="col">Ticket</th>
        <th scope="col">Descripcion Ticket</th>
        <th scope="col">Fecha Creación</th>
        <th scope="col">Usuario</th>
        <th scope="col">Categoria</th>
        <th scope="col">Servicio</th>
        <th scope="col">Tipo</th>
        <th scope="col">SLA</th>
        <th scope="col">V.Comunicación</th>
        <th scope="col">Tecnico</th>
        <th scope="col">Estado</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let dato of listadatos | paginate:{itemsPerPage: 10, currentPage: page}">
        <td>{{dato.codTicket}}</td>
        <td>{{dato.descripcionTicket}}</td>
        <td >{{dato.fechaCreacion | date:'MMM dd, yyyy hh:mm'}}</td>
        <td>{{dato.usuario}}</td>
        <td>{{dato.categoria}}</td>
        <td>{{dato.servicio}}</td>
        <td>{{dato.tipo}}</td>
        <td>{{dato.sla}}</td>
        <td>{{dato.viaComunicacion}}</td>
        <td>{{dato.tecnico}}</td>
        <td>{{dato.estado}}</td>

      </tr>
    </tbody>
  </table>
  <pagination-controls (pageChange)="page = $event"></pagination-controls>
  </div>
</div>


